Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface PageView

All Superinterfaces
  ChildView, MarkupBasedView, NavigableView, ParentView, ProxiedEntityView, Serializable, ThemedMarkupBasedView, View

    public interface PageView

extends ParentView, NavigableView, ThemedMarkupBasedView, ProxiedEntityView

The page view represents a page and all its contents. Pages are used to display child Portlets and child Books in a specific layout in a browser. The standard term used to represent things that can be placed on a page is "Placeable". So both Book and Portlet extend Placeable. There is no theoretical limit to the number of placeables a page may contain.

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances" Views cannot be modified by the developer. An Instance or a Definition however can always be obtained from the view. The persistence APIs provide coarse grain and fine grain getters, but only fine grain setters. If you are interested in an object and all its children then retrieve the View. If you are only interested in the immediate object and don't care about its children then retrieve the Definition.

A page can be obtained in "deep" (the default) or "shallow" mode. In shallow mode, the child book, portlet, and placeable arrays are null. The child placeables can be retrieved as a PagedResult using getPagedPlaceableViews. In shallow mode, all of the methods for searching for child portlet or book views will return null, and count methods will return zero. The deep view is therefore more convenient to use, but the shallow view can be much lighter-weight. By default, PageViews are constructed in deep mode. There are specific methods in the portal persistence API to retrieve shallow page views. If a PageView was constructed in shallow mode, then any child BookView obtained by calling getPagedPlaceableViews will be shallow.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Field Summary

Fields inherited from interface com.bea.netuix.application.view.NavigableView
`ALIGNMENT_LEFT, ALIGNMENT_RIGHT`

Fields inherited from interface com.bea.netuix.application.view.ProxiedEntityView
`HAS_PROXY_INFO, NO_PROXY_INFO, NOT_AVAILABLE`

Method Summary
`int` | `getBookCount()` A convenience method for retrieving a total count of all the books in all the placeholders on this page.
`BookGroupId` | `getBookGroupId()` Getter for page's book group id.
`BookView` | `getBookView(BookInstanceId bookInstanceId)` Retrieve a BookView matching the supplied database instance ID.
`BookView` | `getBookView(String label)` Retrieve a child BookView matching the supplied label.
`BookView` | `getBookViewRecursive(BookDefinitionId bookDefinitionId)` Retrieve a BookView matching the supplied database definition id, searching the entire tree of nested books.
`BookView` | `getBookViewRecursive(BookInstanceId bookInstanceId)` Retrieve a BookView matching the supplied database instance ID, searching the entire tree of nested books.
`BookView` | `getBookViewRecursive(String bookDefinitionLabel)` Retrieve a BookView matching the supplied database definition label, searching the entire tree of nested books.
`BookView[]` | `getBookViews()` Retrieves a list of all books in all placeholders on this page.
`LayoutView` | `getLayoutView()` Retrieve the child layout view associated with this page.
`LocalizationResourceView` | `getLocalizationResourceView()` The Localization resource contains the localized title and description for this look and feel.
`PageDefinition` | `getPageDefinition()` Retrieve the associated `PageDefinition` from this Page View.
`PageDefinitionId` | `getPageDefinitionId()` Getter for page definition id.
`SortableFilterablePagedResult<PlaceableView>` | `getPagedPlaceableViews(int pageSize, String resourcePrefix)` A method for retrieving a paged list of all the placeables (books and portlets) in all the placeholders on this page.
`PageInstance` | `getPageInstance()` Retrieve the associated `PageInstance` from this Page View.
`PageInstanceId` | `getPageInstanceId()` Getter for page instance id.
`PageView` | `getPageViewRecursive(PageDefinitionId pageDefinitionId)` Retrieve a PageView matching the supplied database definition id, searching the entire tree of nested books.
`PageView` | `getPageViewRecursive(PageInstanceId pageInstanceId)` Retrieve a PageView matching the supplied database instance ID, searching the entire tree of nested books.
`PageView` | `getPageViewRecursive(String pageDefinitionLabel)` Retrieve a PageView matching the supplied database definition label, searching the entire tree of nested books.
`int` | `getPlaceableCount()` A convenience method for retieving a total count of all placeables (Books and Portlets) in all the placeholders on this page.
`PlaceableView` | `getPlaceableView(String label)` Return a PlaceableView (PortletView or BookView) matching the supplied label.
`PlaceableView[]` | `getPlaceableViews()` A method for retrieving an ordered list of all the placeables (books and portlets) in all the placeholders on this page.
`int` | `getPlaceholderCount()` A convenience method for retieving a count of placeholders in the current layout on this page.
`PlaceholderView[]` | `getPlaceholderViews()` A method for retrieving an ordered list of all the placeholders in this page.
`int` | `getPortletCount()` A convenience method for retrieving a total count of all the portlets in all the placeholders on this page.
`PortletView` | `getPortletView(PortletInstanceId portletInstanceId)` Retrieve a PortletView matching the supplied database instance ID.
`PortletView` | `getPortletView(String instanceLabel)` Retrieve a PortletView matching the supplied instance label.
`PortletView` | `getPortletViewRecursive(PortletInstanceId portletInstanceId)` Retrieve a PortletView matching the supplied database instance ID, searching the entire tree of nested books.
`PortletView` | `getPortletViewRecursive(String portletInstanceLabel)` Retrieve a PortletView matching the supplied portlet instance label, searching the entire tree starting at this page and recursing all nested books and pages.
`PortletView[]` | `getPortletViews()` Retrieves a list of all portlets in all placeholders on this page.
`PortletView[]` | `getPortletViews(String definitionLabel)` Retrieve an array of PortletViews matching the supplied definition label.
`String` | `getWebAppName()` Return the name of the webapp that this page is associated with.

Methods inherited from interface com.bea.netuix.application.view.ParentView
`getBookViewsRecursive, getPageView, getPageViewsRecursive`

Methods inherited from interface com.bea.netuix.application.view.NavigableView
`getAlignment, getDefinitionLabel, getMenuPosition, getNavigableDefinition, getNavigableInstance, isDefaultPage, isHidden, isPublic`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Methods inherited from interface com.bea.netuix.application.view.ThemedMarkupBasedView
`getThemeView`

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Methods inherited from interface com.bea.netuix.application.view.ProxiedEntityView
`getProviderName, getProxiedEntityId, hasProxyInfo`

Method Detail

### getPageInstanceId

    PageInstanceId getPageInstanceId()

  Getter for page instance id. The instance id is the primary key value for the page instance in the PF_PAGE_INSTANCE table. A Page Definition may have many instance these instance are created when administrators or users customize their portal. A Page Definition always has at least one instance namely the "primary" instance.

  Returns
    a non-null unique instance id. This value should never be null as views are obtained via the persistence API.

### getPageDefinitionId

    PageDefinitionId getPageDefinitionId()

  Getter for page definition id. The definition id is the primary key value for the page definition in the PF_PAGE_DEFINITION table. A Page Definition may have many instance these instance are created when administrators or users customize their portal. A Page Definition always has at least one instance namely the "primary" instance.

  Returns
    a non-null unique definition id. This value should never be null as views are obtained via the persistence API.

### getBookGroupId

    BookGroupId getBookGroupId()

  Getter for page's book group id. The book group id represents a unique placement of a page on a book. Book may contain Pages just like they may contain Books. If this page is placed on a Book then this book group id represents the primary key value of the PF_BOOK_GROUP.BOOK_GROUP_ID value in the database. If this view was obtained directly and not from a parent view object then this value may be null.

  Specified by:
    `getBookGroupId` in interface `NavigableView`
  Returns
    the book group id if this PageView object was retrieved view a higher level view object (example BookView.getPageViews()).

### getPageInstance

    PageInstance getPageInstance()

  Retrieve the associated `PageInstance` from this Page View. Page Views are immutable but Page Instances and Book Definitions are not. Therefore it is often necessary to retrieve the instance from the view in order to update its values and then in turn call the persistence API.

  Returns
    a non-null Page Instance.

### getPageDefinition

    PageDefinition getPageDefinition()

  Retrieve the associated `PageDefinition` from this Page View. Page Views are immutable but Instances and Definitions are not. Therefore it is often necessary to retrieve the definition from the view in order to update its values and then in turn call the persistence API.

  Returns
    a non-null Page Definition.

### getLocalizationResourceView

    LocalizationResourceView getLocalizationResourceView()

  The Localization resource contains the localized title and description for this look and feel.

  Specified by:
    `getLocalizationResourceView` in interface `NavigableView`
  Returns
    a non-null LocalizationResourceView customized per the request.

### getLayoutView

    LayoutView getLayoutView()

  Retrieve the child layout view associated with this page. It is actually the layout that contains all the child placeables.

  Returns
    a non-null LayoutView associated with this page.

### getPortletViews

    PortletView[] getPortletViews()

  Retrieves a list of all portlets in all placeholders on this page. For an ordered list see `getPlaceableViews()`

  . This method returns immediate children only.

  Returns
    array of PortletView objects in no particular order.

### getPortletCount

    int getPortletCount()

  A convenience method for retrieving a total count of all the portlets in all the placeholders on this page.

  This method counts immediate children only.

  Returns
    a count of all the portlets in all the placeholders on this page.

### getBookViews

    BookView[] getBookViews()

  Retrieves a list of all books in all placeholders on this page. For an ordered list see `getPlaceableViews()`

  . This method returns immediate children only.

  Returns
    array of BookView object in no particular order.

### getBookCount

    int getBookCount()

  A convenience method for retrieving a total count of all the books in all the placeholders on this page.

  This method counts immediate children only.

  Returns
    a count of all the books in all the placeholders on this page.

### getPlaceableViews

    PlaceableView[] getPlaceableViews()

  A method for retrieving an ordered list of all the placeables (books and portlets) in all the placeholders on this page. For just a list of placeables in a particular placeholder, see PlaceholderView.

  This method returns immediate children only.

  Returns
    an in-order array of Placeable objects. The order of placeables is determined by the first placeholder and its child placeables followed by the next placeholder and all its placeables, and so on...

### getPagedPlaceableViews

    SortableFilterablePagedResult<PlaceableView> getPagedPlaceableViews(int pageSize,
                                                                        String resourcePrefix)
                                                                        throws RemoteException

  A method for retrieving a paged list of all the placeables (books and portlets) in all the placeholders on this page. For just a list of placeables in a particular placeholder see PlaceholderView.

  This method returns immediate children only. This method retrieves the same results as `getPlaceableViews`; if this view was built in deep mode then it will be more convenient to call that method.

  The returned PagedResult is sortable and filterable on the field "TITLE" and supports these filter methods:
  - FilterMethod.UNFILTERED
  - FilterMethod.BEGINS_WITH
  - FilterMethod.ENDS_WITH
  - FilterMethod.CONTAINS
  - FilterMethod.EQUALS
  However, the reSort and reFilter methods on the returned PageResult ignore their locale arguments. If you want to requery with a different locale, you should call this method again after setting the desired locale in the CustomizationContext.

  Returns
    an in-order PagedResult of Placeable objects. The order of placeables is determined by the first placeholder and its child placeables followed by the next placeholder and all its placeables, and so on...
  Throws
    `RemoteException`

### getPlaceableCount

    int getPlaceableCount()

  A convenience method for retieving a total count of all placeables (Books and Portlets) in all the placeholders on this page.

  This method counts immediate children only.

  Returns
    a count of all the placeables (Books a& Portlets) in all the placeholders on this page.

### getPlaceholderViews

    PlaceholderView[] getPlaceholderViews()

  A method for retrieving an ordered list of all the placeholders in this page. The order of the placeholders is determined by the placeholders `getLocation()` index.

  This method returns immediate children only.

  Returns
    an ordered array of PlaceholderView objects.

### getPlaceholderCount

    int getPlaceholderCount()

  A convenience method for retieving a count of placeholders in the current layout on this page. This method counts immediate children only.

  Returns
    a count of number of placeholders on this page's layout.

### getPortletView

    PortletView getPortletView(String instanceLabel)

  Retrieve a PortletView matching the supplied instance label. This method returns immediate children only.

  Parameters
    `instanceLabel` - the instance label of the portlet
  Returns
    a PortletView or null if one was not found.

### getPortletView

    PortletView getPortletView(PortletInstanceId portletInstanceId)

  Retrieve a PortletView matching the supplied database instance ID. This method returns immediate children only.

  Parameters
    `portletInstanceId` - the database instance ID of the portlet
  Returns
    a PortletView or null if one was not found.

### getPortletViews

    PortletView[] getPortletViews(String definitionLabel)

  Retrieve an array of PortletViews matching the supplied definition label. Since more than one instance can share the same definition lable we return an array. This method returns immediate children only.

  Parameters
    `definitionLabel` - the definition label of the portlets to find
  Returns
    a array of portletViews or empty array

### getBookView

    BookView getBookView(String label)

  Retrieve a child BookView matching the supplied label. This method returns immediate children only.

  Specified by:
    `getBookView` in interface `ParentView`
  Parameters
    `label` -
  Returns
    a BookView or null if one was not found.

### getBookView

    BookView getBookView(BookInstanceId bookInstanceId)

  Retrieve a BookView matching the supplied database instance ID. This method returns immediate children only.

  Parameters
    `bookInstanceId` - the database instance ID of the book
  Returns
    a BookView or null if one was not found.

### getBookViewRecursive

    BookView getBookViewRecursive(BookInstanceId bookInstanceId)

  Retrieve a BookView matching the supplied database instance ID, searching the entire tree of nested books.

  Specified by:
    `getBookViewRecursive` in interface `ParentView`
  Parameters
    `bookInstanceId` - the database instance ID of the book
  Returns
    a BookView or null if one was not found.

### getBookViewRecursive

    BookView getBookViewRecursive(BookDefinitionId bookDefinitionId)

  Retrieve a BookView matching the supplied database definition id, searching the entire tree of nested books.

  Specified by:
    `getBookViewRecursive` in interface `ParentView`
  Parameters
    `bookDefinitionId` - the deifnition id for the book
  Returns
    a BookView or null if one was not found.

### getBookViewRecursive

    BookView getBookViewRecursive(String bookDefinitionLabel)

  Retrieve a BookView matching the supplied database definition label, searching the entire tree of nested books.

  Specified by:
    `getBookViewRecursive` in interface `ParentView`
  Parameters
    `bookDefinitionLabel` - the deifnition label for the book
  Returns
    a BookView or null if one was not found.

### getPageViewRecursive

    PageView getPageViewRecursive(PageInstanceId pageInstanceId)

  Retrieve a PageView matching the supplied database instance ID, searching the entire tree of nested books.

  Specified by:
    `getPageViewRecursive` in interface `ParentView`
  Parameters
    `pageInstanceId` - the database instance ID of the page
  Returns
    a PageView or null if one was not found.

### getPageViewRecursive

    PageView getPageViewRecursive(PageDefinitionId pageDefinitionId)

  Retrieve a PageView matching the supplied database definition id, searching the entire tree of nested books.

  Specified by:
    `getPageViewRecursive` in interface `ParentView`
  Parameters
    `pageDefinitionId` - the definition id of the page we are looking for.
  Returns
    a PageView or null if one was not found.

### getPageViewRecursive

    PageView getPageViewRecursive(String pageDefinitionLabel)

  Retrieve a PageView matching the supplied database definition label, searching the entire tree of nested books.

  Specified by:
    `getPageViewRecursive` in interface `ParentView`
  Parameters
    `pageDefinitionLabel` - the definition label of the page we are looking for.
  Returns
    a PageView or null if one was not found.

### getPortletViewRecursive

    PortletView getPortletViewRecursive(PortletInstanceId portletInstanceId)

  Retrieve a PortletView matching the supplied database instance ID, searching the entire tree of nested books.

  Specified by:
    `getPortletViewRecursive` in interface `ParentView`
  Parameters
    `portletInstanceId` - the database instance ID of the portlet
  Returns
    a PortletView or null if one was not found.

### getPortletViewRecursive

    PortletView getPortletViewRecursive(String portletInstanceLabel)

  Retrieve a PortletView matching the supplied portlet instance label, searching the entire tree starting at this page and recursing all nested books and pages.

  Specified by:
    `getPortletViewRecursive` in interface `ParentView`
  Parameters
    `portletInstanceLabel` - the instance label of the portlet
  Returns
    a PortletView or null if one was not found.

### getPlaceableView

    PlaceableView getPlaceableView(String label)

  Return a PlaceableView (PortletView or BookView) matching the supplied label. Note: portlets are searched first, so if a book and a portlet have the same label (which is possible) then the portlet view would be returned. If you need the BookView or PortletView explicitly then call `getBookView(String definitionLabel)` or `getPortletView(String instanceLabel)`.

  Parameters
    `label` - - instance label for portlets and definition label for books
  Returns
    A BookView or PortletView.

### getWebAppName

    String getWebAppName()

  Return the name of the webapp that this page is associated with. All resources in the portal framework database are scoped to the webapp.

  Returns
    a non-null webapp name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.